Bug 859448 (CVE-2012-4453) - CVE-2012-4453 dracut: Creates initramfs images with world-readable permissions (information disclosure)
Summary: CVE-2012-4453 dracut: Creates initramfs images with world-readable permission...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2012-4453
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 860977 861034
Blocks: 859456 974906
TreeView+ depends on / blocked
 
Reported: 2012-09-21 15:08 UTC by Jan Lieskovsky
Modified: 2019-09-29 12:55 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was discovered that dracut created initramfs images as world readable. A local user could possibly use this flaw to obtain sensitive information from these files, such as iSCSI authentication passwords, encrypted root file system crypttab passwords, or other information.
Clone Of:
Environment:
Last Closed: 2013-11-22 03:17:01 UTC


Attachments (Terms of Use)
Change umask before creating $outfile (733 bytes, patch)
2012-09-24 19:23 UTC, Peter Jones
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1674 normal SHIPPED_LIVE Moderate: dracut security, bug fix, and enhancement update 2013-11-20 21:52:47 UTC

Description Jan Lieskovsky 2012-09-21 15:08:32 UTC
An information disclosure flaw was found in the way dracut, an initramfs root filesystem images generator, created initramfs images. When the root filesystem contained sensitive information (password based authentication for iSCSI systems or encrypted root filesystem crypttab password information), an attacker could use this flaw to obtain this information.

Acknowledgements:

This issue was discovered by Peter Jones of the Red Hat Installer Team.

Comment 3 Jan Lieskovsky 2012-09-21 15:18:52 UTC
This issue affects the version of the dracut package, as shipped with Red Hat Enterprise Linux 6.

--

This issue affects the versions of the dracut package, as shipped with Fedora release of 16 and 17.

Comment 7 Peter Jones 2012-09-24 19:23:52 UTC
Created attachment 616700 [details]
Change umask before creating $outfile

Here's a patch against upstream git's "master".

Comment 14 Huzaifa S. Sidhpurwala 2012-09-27 06:33:10 UTC
This issue has been assigned CVE-2012-4453

Comment 18 Huzaifa S. Sidhpurwala 2012-09-27 09:00:43 UTC
This issue is fixed upstream via the following patch:

https://github.com/haraldh/dracut/commit/e1b48995c26c4f06d1a718539cb1bd5b0179af91

Comment 19 Huzaifa S. Sidhpurwala 2012-09-27 09:03:02 UTC
Created dracut tracking bugs for this issue

Affects: fedora-all [bug 860977]

Comment 20 Huzaifa S. Sidhpurwala 2012-09-27 09:05:03 UTC
(In reply to comment #18)
> This issue is fixed upstream via the following patch:
> 
> https://github.com/haraldh/dracut/commit/
> e1b48995c26c4f06d1a718539cb1bd5b0179af91

The following is the upstream patch:
http://git.kernel.org/?p=boot/dracut/dracut.git;a=commit;h=e1b48995c26c4f06d1a71

Comment 32 errata-xmlrpc 2013-11-21 21:54:15 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1674 https://rhn.redhat.com/errata/RHSA-2013-1674.html

Comment 33 Huzaifa S. Sidhpurwala 2013-11-22 03:16:42 UTC
Statement:

(none)


Note You need to log in before you can comment on or make changes to this bug.